package com.bankaudit.template.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.fasterxml.jackson.annotation.JsonManagedReference;

@Entity
@Table(name = "maint_template_dtls")
public class MaintTemplateDtls implements Serializable {

	/*
	 * CREATE TABLE maint_template_dtls (
		  legal_entity_code INT NOT NULL,
		  template_code VARCHAR(20) NOT NULL,
		  template_name VARCHAR(20) NOT NULL,
		  template_type VARCHAR(20) DEFAULT NULL,
		  template_reference_path VARCHAR(200) DEFAULT NULL,
		  template_file_name VARCHAR(40) DEFAULT NULL,
		  PRIMARY KEY (legal_entity_code,template_code)
	 */

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name = "template_code")
	private String templateCode;
	
	@Column(name = "template_name")
	private String templateName;
	
	@Column(name = "template_type")
    private String templateType;
	
	@Column(name = "template_reference_path")
	private String templateReferencePath;

	@Column(name="template_file_name")
	private String templateFileName;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getTemplateCode() {
		return templateCode;
	}

	public void setTemplateCode(String templateCode) {
		this.templateCode = templateCode;
	}

	public String getTemplateName() {
		return templateName;
	}

	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}

	public String getTemplateType() {
		return templateType;
	}

	public void setTemplateType(String templateType) {
		this.templateType = templateType;
	}

	public String getTemplateReferencePath() {
		return templateReferencePath;
	}

	public void setTemplateReferencePath(String templateReferencePath) {
		this.templateReferencePath = templateReferencePath;
	}

	public String getTemplateFileName() {
		return templateFileName;
	}

	public void setTemplateFileName(String templateFileName) {
		this.templateFileName = templateFileName;
	}

	
	
}
